The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Во FreeBSD появилась поддержка устройств Broadcom BCM43xx

03.05.2009 09:14

Sam Leffler и Andrew Thompson выполнили портирование драйвера bwi для работы с беспроводными устройствами Broadcom BCM4301, BCM4307, BCM4306, BCM4309, BCM4311, BCM4312, BCM4318, BCM4319, разработанного Sepherosa Ziehau в рамках проекта DragonFly. В настоящий момент драйвер обеспечивает работу устройств в режимах 802.11b и 802.11g, а также имеет ряд ограничений:

  • Необходим firmware v3, который должен быть получен самостоятельно. Для загрузки этого модуля запланировано создание соответствующего порта.
  • Отсутствует поддержка режимов 802.11a и 802.11n - требуется firmware v4 (bcm-v4.sipsolutions.net) .

Драйвер проверен при работе с моделями BCM4319 mini-pci и BCM4318 CardBus и будет подключен к инфраструктуре ядра после фиксации порта firmware.

  1. Главная ссылка к новости (http://lists.freebsd.org/piper...)
Автор новости: cvsup
Тип: К сведению
Короткая ссылка: https://opennet.ru/21566-freebsd
Ключевые слова: freebsd, driver, wifi, wireless, Broadcom
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (12) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Lindemidux (??), 10:46, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Неужели будет по-нормальному работать?
     
  • 1.2, paradox (??), 10:56, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    я бы сделал в новости много уточнений
    но невижу смысла
    форум лисяры и так по этому поводу уже все как год читают...
     
     
  • 2.4, cvsup (ok), 11:09, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    я не хожу туда, падонковское коверкание кедой английского языка вмиг отбило у меня желание там появляться
     
     
  • 3.8, paradox (??), 11:12, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    >я не хожу туда, падонковское коверкание кедой английского языка вмиг отбило у меня желание там появляться

    ну не знает он его
    пользуеться переводчиков
    так зато он хоть что то делает для бсд
    в отличии от некоторых

    если вы его хорошо знаете
    приходите и помогайте

     
     
  • 4.9, cvsup (ok), 11:16, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Понятно. Кстати, раз уж есть дополнительные оговорки в работе драйвера - хорошо бы изложить их в этой новости.
     
     
  • 5.10, paradox (??), 11:36, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    промахнулся
    ответил ниже по теме

    могу лишь добавить

    впринципе чуть чуть уже можно будет подфиксить имеющийся код bwi в системе чем когда он был в перфорсе

    хотя многие карты которые на руках все равно не заведуться

    по новости совсем не корректно отписались в листе

    >V4 of the firmware is needed for 11a or 11n support
    >   http://bcm-v4.sipsolutions.net/

    совсем не так
    для 802.11a ненужен новый bcm-v4.sipsolutions.net/
    он наскоко я помню и в http://bcm.sipsolutions.net/ описан (если что могу глянуть)
    там сам принцип нарушен в отношении дуалбанд адаптеров в которых 802.11b/g + 802.11a
    но учитывая что 802.11a практически используеться токо японии(из тех что я знаю)
    то не велика потеря

    а для 802.11n да нужен уже v4
    как и для особенных LP ревизий броадкома
    так же v4 нужен для того что бы переписать код bwi для новых адаптеров


    список всех моделей которые попались мне за почти год и которые заведуться есть на форуме у лиса
    отчет там большой нехочеться флудить

     

  • 1.3, Andrew Kolchoogin (?), 11:08, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    О. Можно портануть в Солярис. А то 64-хбитный NDIS не работает ни хера.
     
     
  • 2.7, cvsup (ok), 11:11, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Можно, тем более некая родственность архитектур позволяет. А оттуда в свою очередь хорошо бы перенести поддержку mmap во fuse.
     

  • 1.5, paradox (??), 11:09, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    так портируйте кто мешает
    в солярисе и так все дрова практически портированы с бсд
     
  • 1.6, paradox (??), 11:11, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    токо могу вас огорчить далеко не все BCM43* будут работать
    особенно не будут работать новые
    а из тех что заведуться
    это старые ревизии
    и те у которых ревизия ядра броадкома не старше 10

    впринципе драйвер сам об этом скажет в логе

     
  • 1.14, Аноним (-), 17:00, 03/05/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    BSD'шники, кто в курсе, как там с ______BCM44*______?
     
     
  • 2.15, paradox (??), 17:10, 03/05/2009 [^] [^^] [^^^] [ответить]  
  • +/
    >BSD'шники, кто в курсе, как там с ______BCM44*______?

    а что такое BCM44 ?
    это ж сетевка
    к этой новости никак не относится

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру